Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Registry Class Reference

A Name Server implementation. More...

`#include <Registry.h>`

List of all members.

## Public Types
typedef ACE_Unbounded_Set< Name_Component > | Name
| A Name is an ordered collections of components (ids).
typedef ACE_Unbounded_Set< Binding > | Binding_List
enum | Binding_Type { INVALID, OBJECT, CONTEXT }
| There are two types of bindings. More...
## Static Public Methods
ACE_TString | make_string (const Name &name)
| Convert a <name> to a <string>.
Name | make_name (const ACE_TString &string)
| Convert a <string> to a <name>.
## Static Public Attributes
const ACE_TCHAR * | STRING_SEPARATOR = ACE_LIB_TEXT ("\\")
| Separator for components in a name.

## Detailed Description

A Name Server implementation.

The registry interface is inspired by the interface specified in the CORBA Naming Service Specification. The implementation is done through Win32 <Reg*> functions. Other than providing an OO wrapper for the Win32 <Reg*> functions, ACE_Registry provides an abstraction for iteration over the elements of the Registry.

## Member Typedef Documentation

typedef ACE_Unbounded_Set<Binding> ACE_Registry::Binding_List

typedef ACE_Unbounded_Set<Name_Component> ACE_Registry::Name

| A Name is an ordered collections of components (ids).

## Member Enumeration Documentation

enum ACE_Registry::Binding_Type

  | There are two types of bindings. Enumeration values:
  INVALID |
  OBJECT |
  CONTEXT |

## Member Function Documentation

ACE_Registry::Name ACE_Registry::make_name | ( | const ACE_TString & | string | ) | `[static]`

| Convert a <string> to a <name>.

ACE_TString ACE_Registry::make_string | ( | const Name & | name | ) | `[static]`

| Convert a <name> to a <string>.

## Member Data Documentation

const ACE_TCHAR * ACE_Registry::STRING_SEPARATOR = ACE_LIB_TEXT ("\\")`[static]`

| Separator for components in a name.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry.cpp